
Smart Proxy - Bug #6474

rubygems not loaded before gems themselves

07/02/2014 11:13 AM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee:    

Category: Packaging   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

#6436 has broken the EL6 package installation, which can no longer start the foreman-proxy service:

[root@foreman-el6 ~]# service foreman-proxy start

Starting foreman-proxy: /usr/share/foreman-proxy/lib/smart_proxy.rb:5:in `require': no such file t

o load -- sinatra (LoadError)

    from /usr/share/foreman-proxy/lib/smart_proxy.rb:5

    from /usr/share/foreman-proxy/bin/smart-proxy:5:in `require'

    from /usr/share/foreman-proxy/bin/smart-proxy:5

                                                           [FAILED]

 It appears that bundler_helper was responsible for requiring rubygems, but is now used after the attempt to require sinatra.  It

probably needs splitting into an initialisation part (to require rubygems, bundler_ext) and another to do the original job of

require_groups.

Related issues:

Related to Foreman - Bug #6436: Modularized proxy attempts to load plugins be... Closed 06/30/2014

Associated revisions

Revision 9ac3e80e - 07/02/2014 11:35 AM - Dmitri Dolguikh 

fixes #6474: smart-proxy relies on Bundler to load sinatra dependency

History

#1 - 07/02/2014 11:14 AM - Dominic Cleal

- Related to Bug #6436: Modularized proxy attempts to load plugins before loading core modules added

#2 - 07/02/2014 11:27 AM - Anonymous

- Status changed from Assigned to Ready For Testing

PR: https://github.com/theforeman/smart-proxy/pull/177

#3 - 07/02/2014 12:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9ac3e80eb0afe9662bb6b99777326e8f872bb8c5.
